OPENJKDED(6)

NAME
openjkded - Jedi Academy dedicated server

SYNOPSIS
openjkded [-h|--help] [-q|--quiet] [+set option value]... [+command] ...

DESCRIPTION
openjkded is the OpenJK dedicated server for the first- and third-person action game Star Wars Jedi Knight: Jedi Academy.

OPTIONS
The wrapper script used for OpenJK in Debian accepts these options:

-h, --help
    Display a short help summary

-q, --quiet
    Disable all output

Any console command can also be prefixed with + and used as a command-line option (run the server in a terminal to use the console). The +set command is generally the most useful to use on the command line.

Options that can be set with +set (note that this is not a full list!) include:

dedicated 0-2

fs_game <value>

g_allowVote <bool>

g_banIPs <IP address>

g_gametype <bool>

g_gravity <value>

g_inactivity <value>

g_maxGameClients <value>

g_motd <string>

g_needpass <bool>

g_password <string>

net_ip <IP adress>

net_port <value>

net_qport <value>

nextmap <string>

sv_allowDownload <bool>

sv_floodProtect <bool>

sv_fps <value>

sv_hostname <string>

sv_maxclients <value>

sv_maxPing <value> (Measurd in milliseconds)

sv_minPing <value> (Measurd in milliseconds)

sv_pure <bool>

timelimit <value> (Measured in minutes)

ENVIRONMENT
The wrapper script used to launch OpenJK allows it to be debugged by setting environment variables.

OPENJK_DEBUGGER=command
    A debugger or other prefix to prepend to the OpenJK command line, such as strace; overridden by OPENJK_BACKTRACE

OPENJK_BACKTRACE=1
    Use gdb(1) to get a backtrace if OpenJK crashes (the gdb package must be installed for this to work)

SEE ALSO
openjk(6), openjk_sp(6), openjo_sp(6), /usr/share/doc/openjk-academy-server

AUTHOR
Jedi Academy was written by Raven Software, based on id Software's Quake III Arena engine. The engine used in Debian is OpenJK, maintained by the JACoders community, with various enhancements taken from ioquake3.

This manual page was written by Bruno "Fuddl" Kleinert <fuddl@debian.org> and Simon McVittie <smcv@debian.org>, for the Debian project (but may be used by others).